{
    "apps": [
        {
            "name": "TG_factory",
            "script": "npm",
            "args": "run start",
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/error.log",
            "out_file": "./logs/out.log",
            "log_file": "./logs/combined.log",
            "merge_logs": true,
            "exec_mode":"fork",
            "time": true
        },
        {
            "name": "0_RECEIVE_FACTORY",
            "script": "./0_RECEIVE_FACTORY/RECEIVE_FACTORY.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/0_RECEIVE_FACTORY_error.log",
            "out_file": "./logs/0_RECEIVE_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "1_FILTER_FACTORY",
            "script": "./1_FILTER_FACTORY/FILTER_FACTORY.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/1_FILTER_FACTORY_error.log",
            "out_file": "./logs/1_FILTER_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "2_PRODUCT_FACTORY",
            "script": "./2_PRODUCT_FACTORY/PRODUCT_FACTORY.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/2_PRODUCT_FACTORY_error.log",
            "out_file": "./logs/2_PRODUCT_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "DZ_FACTORY",
            "script": "./2_PRODUCT_FACTORY/dz_batch_factory.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/dz_factory_error.log",
            "out_file": "./logs/dz_factory_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "FQ_FACTORY",
            "script": "./2_PRODUCT_FACTORY/fq_factory.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/fq_factory_error.log",
            "out_file": "./logs/fq_factory_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "HY_FACTORY",
            "script": "./2_PRODUCT_FACTORY/hy_batch_factory.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/hy_factory_error.log",
            "out_file": "./logs/hy_factory_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "QM_FACTORY",
            "script": "./2_PRODUCT_FACTORY/qm_batch_factory.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/qm_factory_error.log",
            "out_file": "./logs/qm_factory_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "7_CHECK_AND_CREATE_URL_FACTORY",
            "script": "./7_CHECK_AND_CREATE_URL_FACTORY/CHECK_AND_CREATE_URL_FACTORY.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/7_CHECK_AND_CREATE_URL_FACTORY_error.log",
            "out_file": "./logs/7_CHECK_AND_CREATE_URL_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "MESSAGE_DISPATCH_FACTORY",
            "script": "./MESSAGE_DISPATCH/MESSAGE_DISPATCH.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/MESSAGE_DISPATCH_error.log",
            "out_file": "./logs/MESSAGE_DISPATCH_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "MAIN_SERVE_FACTORY_FACTORY",
            "script": "./MAIN_SERVE_FACTORY/MAIN_SERVE_FACTORY.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/MAIN_SERVE_FACTORY_error.log",
            "out_file": "./logs/MAIN_SERVE_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "PULL_DATA_FACTORY",
            "script": "./PULL_DATA_FACTORY/PULL_DATA.js",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "cwd": "/home/tg_factory",
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/PULL_DATA_FACTORY_error.log",
            "out_file": "./logs/PULL_DATA_FACTORY_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "PULL_TIME_DATA",
            "script": "./PULL_TIME_DATA/PULL_TIME_DATA.js",
            "cwd": "/home/tg_factory",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/PULL_TIME_DATA_error.log",
            "out_file": "./logs/PULL_TIME_DATA_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        },
        {
            "name": "WX_GUA_JIAN_PARSE",
            "script": "./WX_GUA_JIAN_PARSE/WX_GUA_JIAN_PARSE.js",
            "cwd": "/home/tg_factory",
            "node_args": "--max-old-space-size=8192 --expose-gc",
            "max_memory_restart": "4G",
            "args": ["--type=data"],
            "log_date_format": "YYYY-MM-DD HH:mm:ss",
            "error_file": "./logs/WX_GUA_JIAN_PARSE_error.log",
            "out_file": "./logs/WX_GUA_JIAN_PARSE_out.log",
            "merge_logs": true,
            "exec_mode": "fork",
            "autorestart": true
        }
    ]
}